/* SwissBetty-TV-Fernbedienung: appmain.c */

/* Vorlage für eine App auf der Betty */
#include "LPC22xx.h"
#include "StdTypes.h"


#if defined (GCC)
#include "BettyAppGcc.h"
#else
#include "BettyAppArm.h"
#endif


const RECT R = { 0, 145, 12, 159};

int main(void)
{ POINT P;
  char c;

  FillLanes (dkgr);
  LichtEin();
  CgStr_at (10, 40, "Dies ist", black | idf_Lucida_20);
  CgStr_at (10, 70, "eine App", black | idf_Lucida_20);
  P.X =64; P.Y = 80;
  CgCircle_at(&P,50,invert);
  ScrBlt();

  c = 0;
  while (c!=27)
  { if (IsKeyAvailable())
    { c = TranslateKeynum(GetKey());
      CgFillRect((RECT*)&R, black);
      CgCh_at(R.left+2,R.top, c, invert|idf_Simple6x13);
      ScrBlt();
    }
  }
  FillLanes (white);


  return 12345;
}


